.TH "XPUCK" 1 "15 Jan 1997"
.SH NAME
xpuck \- X Window puck game.
.SH SYNOPSIS
.B xpuck
[
.B options
]
.SH DESCRIPTION
.I Xpuck
is a simple game with two players and a puck.
Winning a point is to put the puck in other's player
goal. A match is won for the best of 5 sets. Each set is a 15 point game.
.PP
Before a player is to serve, the two players must indicate they are
ready by clicking the left mouse button. Beside the pit, the two lights
indicates each player state. Red means not ready, green means ready.
.PP
Between playing phases, the master can ask for a replay by pressing the
'R' key. The replay consists of the lasts moves of last game. Pressing
the 'Q' key will end the game.
.PP
This game can be played on network (fast one). Two players have to
start \fBxpuck\fP on their workstations, this way :
.TP 20
.B xpuck
runs as master.
.TP 20
.B xpuck -host <name of master host>
runs as slave.

.PP
Players may give options to change severals parameters.

.SH OPTIONS
.TP 8
.B -help
Gives possible options.
.TP 8
.B -noclient
Standalone game.
.TP 8
.B -name \fIname\fP
Sets player name. It defaults to login id.
.TP 8
.B -host \fIhostname\fP
Indicates remote player's host to connect to. Runs as slave.
.TP 8
.B \-port \fIport\fP
Sets the UDP port for connection. It defaults to 7000.
The port must be the same for each player.
Nota : one is added to the port number for slave to master
communication (take that in account if you have trouble for
connecting).
.TP 8
.B -xpm \fIfilename\fP
Gives the other player an XPM file name to load as the opponent icon.
This filename should be given as an absolute path name. The opponent player
should have access to the path.

.SH "TIPS"
Try to change mouse acceleration.

.SH "BUGS"
Once a connection is established, another player can enter the game,
but the result is not the intended one.
There should be others.
Please report to
.PP
<odebon@club-internet.fr>.

.SH "AUTHOR"
Olivier Debon (1997)
