/**********************************************************/
/**                                                       */
/**   %Z% %M% Version %I% (%G%)                           */
/**                                                       */
/**********************************************************/
/**                                                       */
/**   AUTEUR :  O.DEBON                                   */
/**                                                       */
/**   DATE DE CREATION :  23/12/96                        */
/**                                                       */
/**********************************************************/
/**                                                       */
/**   MODIFICATIONS :                                     */
/**                                                       */
/**   Date         Auteur           Commentaires          */
/**                                                       */
/**                                                       */
/**********************************************************/
static char *sccs_id = "%Z% %M% Version %I% (%G%)";
#include "puck.h"

/* Origin is the middle of the screen */
/* 3D axes are :

        ^ (Z, height)
	|
	|   7 (X, depth)
	|  /
	| /
	|/________> (Y, left < 0, right > 0 )

*/

long proj_x(float x, float y, float z)
{
	return FIELD_WIDTH/2+(long)(y * (float)FOCALE / ( x + (float)FOCALE ));
}

long proj_y(float x, float y, float z)
{
	return (long)(((float)HORIZON-z) * FOCALE / ( x + FOCALE ));
}
